Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005588TestLinkReports - Failed/Blocked Test Casespublic2013-03-24 17:522013-05-22 20:57
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005588: Add Custom Fields (only for test cases) used on EXECUTION to the report
DescriptionIf there are Custom Fields to be used on Test Cases during execution, they
are extracted as new columns AFTER execution notes.

see attached image
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon failed-testcases-with CF.png [^] (67,427 bytes) 2013-03-24 17:54


png file icon FailedTestCasesReport.PNG [^] (46,843 bytes) 2013-05-02 14:56


png file icon FailedTestCasesSpreadSheetReport.PNG [^] (63,051 bytes) 2013-05-02 14:57


png file icon FailedTestCasesSpreadSheetReportWithPlatform.PNG [^] (40,721 bytes) 2013-05-03 01:10

- Relationships
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
(0018833)
chemchoum (reporter)
2013-05-02 01:59

Hi Fman,
I'm giving a try to this new feature and I found a problem with the spread sheet generated for this report : there are some gaps on the columns.
So because it is a version that isn't yet released I wonder how to report the issue and give more details.
So please let me know.
thanks
(0018834)
fman (administrator)
2013-05-02 07:07

provide here a detailed description in order to allow me to reproduce exactly the issue
(0018846)
chemchoum (reporter)
2013-05-02 15:36

Steps to reproduce issue:
Phase 1 : creating test Environment:
1-Create project named : Project1
2-Add test suits named : SubTestSuit1 and SubTestSuit2
3-Add test case to SubTestSuit1 named : TestCase1
4-Add test cases to SubTestSuit2 named : TestCase2 and TestCase3
5-Create test plan named : TestPlan1
6-Add TestCase1 and TestCase3 to TestPlan1
7-Create a custom field named "instances used" and make it active for tests cases.
8-create a builds named : Build1 and Build2
9-excute and fail TestCase1 and TestCase3 on Build1
10-excute and fail TestCase3 on Build2
Phase 2 : reproducing issue
1- Go to "Reports and metrics.
2- Click "on Failed Test Cases" to obtain report shown on screen shot "FailedTestCasesReport.PNG"
2- Click on "generate spread sheet" of Failed Test Cases" page to obtain spread sheet shown on screen shot "FailedTestCasesSpreadSheetReport.PNG"
Issue:
there are gaps on all the cells contents of columns next to Platform column.
There is no platform defined on my project but the spread sheet contain an empty column for platform and that causes the gaps.
IMHO, we can get the same issue if we leave the execution notes empty for all failed tests (there will may be a gab on custom fields columns but I didn't try it)
(0018847)
fman (administrator)
2013-05-02 15:47
edited on: 2013-05-02 15:47

OK, now issue report is usable.

stay tunned

(0018849)
fman (administrator)
2013-05-02 17:40

>> IMHO, we can get the same issue if we leave the execution notes
>> empty for all failed tests (there will may be a gab on custom fields columns >> but I didn't try it)
Not good I need facts no theories.


Issue regarding platform has been fixed
(0018855)
chemchoum (reporter)
2013-05-03 01:10

>> Not good I need facts no theories.
I've done another test by deleting the execution notes to get it's column empty and I added a platform named "Platform1" to get it's column full and avoid the issue I've reported above.
Finally the exported spread sheet report is OK (see FailedTestCasesSpreadSheetReportWithPlatform.PNG)

>> Issue regarding platform has been fixed
I've tested it and now it's OK. Great Job!

- Issue History
Date Modified Username Field Change
2013-03-24 17:52 fman New Issue
2013-03-24 17:52 fman Status new => assigned
2013-03-24 17:52 fman Assigned To => fman
2013-03-24 17:53 fman Description Updated View Revisions
2013-03-24 17:54 fman File Added: failed-testcases-with CF.png
2013-03-24 17:55 fman Relationship added child of 0005551
2013-03-24 18:51 fman Status assigned => resolved
2013-03-24 18:51 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-03-24 18:51 fman Resolution open => fixed
2013-03-24 18:51 fman Tag Attached: TO BE FIXED on 2.0
2013-05-02 01:59 chemchoum Note Added: 0018833
2013-05-02 07:07 fman Note Added: 0018834
2013-05-02 14:56 chemchoum File Added: FailedTestCasesReport.PNG
2013-05-02 14:57 chemchoum File Added: FailedTestCasesSpreadSheetReport.PNG
2013-05-02 15:36 chemchoum Note Added: 0018846
2013-05-02 15:47 fman Note Added: 0018847
2013-05-02 15:47 fman Note Edited: 0018847 View Revisions
2013-05-02 17:40 fman Note Added: 0018849
2013-05-03 01:10 chemchoum Note Added: 0018855
2013-05-03 01:10 chemchoum File Added: FailedTestCasesSpreadSheetReportWithPlatform.PNG
2013-05-22 20:57 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker